Subject: LSK merge linux-stable review

From: [email-masked] (Catalin Marinas)
Date: Tue, 14 Jan 2014 09:45:55 +0000

On Tue, Jan 14, 2014 at 12:32:06AM +0000, Alex Shi wrote:
> On 01/13/2014 11:55 PM, Catalin Marinas wrote:
> > On Sat, Jan 11, 2014 at 01:35:52AM +0000, Alex Shi wrote:
> >>>> the first column '-/+' means contents was removed/added from file
> >>>> 5e9d274. the 2nd column '-/+' means contents was removed/added from file
> >>>> 9c93e12.
> >>>>
> >>>> Yes, The notify_cpu_starting kept in final file later.
> >>>
> >>> Just make sure it is in line with commit 7ade67b5984d0a (arm64: move
> >>> enabling of GIC before CPUs are set online)
> >>
> >> Give you the part of modified smp.c file here :)
> > 
> > As I said, you may want to cherry pick 7ade67b5984d0a. It comes in handy
> > with GICv3 support (if you later plan to back-port it to this version of
> > LSK).
> 
> Sorry for not make it clear.
> We had picked up 7ade67b5984d0a as I showed the contents of function
> secondary_start_kernel().

I don't think you picked it since this commit moves
notify_cpu_starting() before set_cpu_online() which is not the case for
the code you pasted.

-- 
Catalin